-- Underside City Intro

function runscript()
	if (getflag(FLAG_UC_INTRO) == FLAG_OFF) then
		createnpcnamed("officer_bacon", "piggy", 18, 9);
		setdir(PLAYER_RIGHT);
		wait(50);
		createnpc("exclam", 18, 9);
		sound("enemyhurt1", CHAN_SCRIPTED);
		wait(10);
		destroy("exclam");
		wait(20);
		speaker("piggy");
		say("You.|| You are the one I need to talk to.| The one that I need to talk to is you.| Stop right there,| you.| I need to talk to you.");
		wait(10);
		walktox("officer_bacon", 17);
		wait(20);
		say("Hi my name is Officer Bacon, I am one of Underside's finest,| yeah that's right, the boys in the blue,| the pigs on patrol,| defenders of justice and peace.| Badguys have nightmares about us, the ladies dream about us and ||-|| Oh yeah!");
		say("You'd never believe this, but Al Buzzdrin's alive!|| Yeah, it's true,|| and he told me to give this reward to a \"yellow fellow with a funny striped shirt who looks like a cat but could be a dog and |blah |blah |blah||...\"");
		say("Look, I've been waiting here for a long time,|| a couple of hours, maybe,|||| though it could've really only been a few minutes.");
		say("||The bottom line is I'm really bored, and I just want to go home||, so even if you're not really the person I was supposed to give this nice reward to,| let's just pretend you were,|| okay|~^?");
		doscript("get-reward");
		wait(50);
		say("Welp,|| my job here is done.| I'm outta here.");
		wait(50);
		say("||Buzzdrin said he was heading to the mayor's office to tell him of your brave efforts.")
		say("||Maybe you should pay the City Hall a visit.");
		say("||It's to the east.|||| (That's to the right, in case you didn't know.)");
		wait(50);
		say("Okay, bye.");
		wait(30);
		setgravity("officer_bacon", 5);
		walktoxspeed("officer_bacon", 19, 2)
		sound("jump", 3);
		setanimtemplate("officer_bacon", ANIM_JUMP_RIGHT);
		jump("officer_bacon", -3);
		movexspeed("officer_bacon", 23, 2);
		setanimtemplate("officer_bacon", ANIM_STAND_RIGHT);
		wait(30);
		setanimtemplate("officer_bacon", ANIM_STAND_LEFT);
		wait(10);
		say("Oh,|| and sorry about the reward.");
		walktoxspeed("officer_bacon", 10, 2);
		destroy("officer_bacon");
		setflag(FLAG_UC_INTRO, FLAG_ON);
	end
end